From 98d9f202ef768f22ae21b5c43a080a1aa64a7107 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20P=2E=20Berrang=C3=A9?= <berrange@redhat.com>
Date: Tue, 26 Apr 2022 17:36:54 +0100
Subject: [PATCH] data: remove bogus param for meson i18n.merge_file
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The positional parameter used to be treated as 'input', but since we
already set 'input' explicitly it is redundant. With latest meson
versions it now generates an error

data/meson.build:4:7: ERROR: Function does not take positional arguments.

Signed-off-by: Daniel P. Berrangé <berrange@redhat.com>
---
 data/meson.build | 3 ---
 1 file changed, 3 deletions(-)

diff --git data/meson.build b/data/meson.build
index d718491f..43251084 100644
--- data/meson.build
+++ data/meson.build
@@ -2,7 +2,6 @@ if host_machine.system() != 'windows'
   desktop = 'remote-viewer.desktop'
 
   i18n.merge_file (
-    desktop,
     type: 'desktop',
     input: desktop + '.in',
     output: desktop,
@@ -14,7 +13,6 @@ if host_machine.system() != 'windows'
   mimetypes = 'virt-viewer-mime.xml'
 
   i18n.merge_file (
-    mimetypes,
     type: 'xml',
     input: mimetypes + '.in',
     output: mimetypes,
@@ -27,7 +25,6 @@ if host_machine.system() != 'windows'
   metainfo = 'remote-viewer.appdata.xml'
 
   i18n.merge_file (
-    metainfo,
     type: 'xml',
     input: metainfo + '.in',
     output: metainfo,
-- 
GitLab

